//ANIMATION ANGULAR
.abn-tree-animate.ng-enter {
  transition: 150ms linear all;
  position: relative;
  display: block;
  opacity: 0;
  max-height: 0px;
}
.abn-tree-animate.ng-enter.ng-enter-active {
  opacity: 1;
  max-height: 30px;
}
.abn-tree-animate.ng-leave {
  transition: 150ms linear all;
  position: relative;
  display: block;
  max-height: 30px;
  opacity: 1;
}
.abn-tree-animate.ng-leave.ng-leave-active {
  max-height: 0px;
  opacity: 0;
}

ul.nav.nav-list.abn-tree li a {
  padding: 2px 15px;
  border-radius:0px;
}


//OK
ul.nav.nav-list.abn-tree i.indented {
  padding: 2px;
  width:11px;
}

@iterations: 20;
.tree-loop (@i) when (@i > 0) {
  ul.nav.nav-list.abn-tree .level-@{i} .indented {
    position: relative;
    left: calc(~"20px * (@{i} - 1)");
    a {
      border-radius:4px;
    }
  }
  .tree-loop(@i - 1);
}
.tree-loop (@iterations);
